aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorArmin Kuster <akuster@mvista.com>2015-01-23 09:43:46 -0800
committerArmin Kuster <akuster808@gmail.com>2015-03-21 07:48:34 -0700
commitd85e6b328e38a8035d05fed600b696f540bcec3e (patch)
tree2cedb1e29ccc0b76dc1c62e9905108688eb064f2
parent0a787c6745e14449b1278a762b2d6bc1bc5cbcc4 (diff)
downloadmeta-openembedded-contrib-d85e6b328e38a8035d05fed600b696f540bcec3e.tar.gz
meta-openembedded-contrib-d85e6b328e38a8035d05fed600b696f540bcec3e.tar.bz2
meta-openembedded-contrib-d85e6b328e38a8035d05fed600b696f540bcec3e.zip
wireshark: fix rdepends issue
Added a few more PACKAGECONF options Signed-off-by: Armin Kuster <akuster@mvista.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
-rw-r--r--meta-networking/recipes-support/wireshark/wireshark_1.12.3.bb14
1 files changed, 11 insertions, 3 deletions
diff --git a/meta-networking/recipes-support/wireshark/wireshark_1.12.3.bb b/meta-networking/recipes-support/wireshark/wireshark_1.12.3.bb
index 2dd99d6986..7604bd7ff9 100644
--- a/meta-networking/recipes-support/wireshark/wireshark_1.12.3.bb
+++ b/meta-networking/recipes-support/wireshark/wireshark_1.12.3.bb
@@ -4,7 +4,7 @@ SECTION = "network"
LICENSE = "GPL-2.0"
LIC_FILES_CHKSUM = "file://README.linux;md5=631e077455b7972172eb149195e065b0"
-DEPENDS = "perl-native libcap libpcap pcre expat glib-2.0 libnl sbc"
+DEPENDS = "perl-native libcap libpcap pcre expat glib-2.0 sbc"
SRC_URI = " \
http://wiresharkdownloads.riverbed.com/wireshark/src/wireshark-${PV}.tar.bz2 \
@@ -23,11 +23,12 @@ ARM_INSTRUCTION_SET = "arm"
# Works with either gtk+ or gtk3.
WHICH_GTK = "gtk3"
-PACKAGECONFIG ??= "gnutls gcrypt"
+PACKAGECONFIG ??= "gnutls gcrypt libnl"
PACKAGECONFIG += " ${@bb.utils.contains("DISTRO_FEATURES", "x11", "${WHICH_GTK} graphics", "", d)}"
PACKAGECONFIG += " ${@bb.utils.contains("DISTRO_FEATURES", "ipv6", "ipv6", "", d)}"
PACKAGECONFIG[libsmi] = "--with-libsmi=yes, --with-libsmi=no, libsmi"
+PACKAGECONFIG[libnl] = "--with-libnl=yes, --with-libnl=no, libnl"
PACKAGECONFIG[portaudio] = "--with-portaudio=yes, --with-portaudio=no, portaudio-v19"
PACKAGECONFIG[gtk2] = "--with-gtk2=yes, --with-gtk2=no, gtk+"
PACKAGECONFIG[gtk3] = "--with-gtk3=yes, --with-gtk3=no, gtk+3"
@@ -36,8 +37,15 @@ PACKAGECONFIG[ipv6] = "--enable-ipv6, --disable-ipv6,"
PACKAGECONFIG[gnutls] = "--with-gnutls=yes, --with-gnutls=no, gnutls"
PACKAGECONFIG[gcrypt] = "--with-gcrypt=yes, --with-gcrypt=no, libgcrypt"
PACKAGECONFIG[krb5] = "--with-krb5=yes, --with-krb5=no, krb5"
+PACKAGECONFIG[lua] = "--with-lua=yes, --with-lua=no, lua"
+PACKAGECONFIG[zlib] = "--with-zlib=yes, --with-zlib=no, zlib"
+PACKAGECONFIG[geoip] = "--with-geoip=yes, --with-geoip=no, geoip"
-EXTRA_OECONF = "--with-qt=no --enable-usr-local=no --enable-tshark --with-c-ares=no"
+# these next two options require addional layers
+PACKAGECONFIG[adns] = "--with-adns=yes, --with-adns=no, adns"
+PACKAGECONFIG[c-ares] = "--with-c-ares=yes, --with-c-ares=no, c-ares"
+
+EXTRA_OECONF = "--with-qt=no --enable-usr-local=no --enable-tshark"
do_configure_prepend() {
# force to use fallback